Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.adaptor.pdf
Class ColorSpaces

    java.lang.Object
      multivalent.std.adaptor.pdf.ColorSpaces

public class ColorSpaces
extends java.lang.Object

Returns Java color space that matches PDF specification. Used by ordinary drawing (`cs`, `CS`) and images (`/ColorSpace`).

- PDF DeviceRGB and DeviceGray are mapped into equivalent CIE-based via `ColorSpace.getInstance(int)`.
- CalRGB and CalGray are mapped likewise.
- DeviceCMYK is mapped to `ColorSpaceCMYK`.
- Lab is mapped to `ColorSpaceLab`.
- Separation is mapped to `ColorSpaceSeparation`.
- DeviceN is mapped to `ColorSpaceDeviceN`
- Pattern unsupported; returns RGB color space.
- Indexed color space returns base color space for further processing by images.
- Embedded ICC Profile data is supported via `ICC_Profile.getInstance(InputStream)`.

Version:
  $Revision: 1.8 $ $Date: 2004/04/26 21:27:59 $

Method Summary
`static java.awt.color.ColorSpace` | `createColorSpace(java.lang.Object csref, PDFReader pdfr)` Interpret PDF color space represented by csref and return a `ColorSpace` that implements it.
`static java.awt.image.IndexColorModel` | `createIndexColorModel(java.lang.Object csref, int bpc, PDFReader pdfr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createColorSpace

    public static java.awt.color.ColorSpace createColorSpace(java.lang.Object csref,
                                                             PDFReader pdfr)
                                                      throws java.io.IOException

  Interpret PDF color space represented by csref and return a `ColorSpace` that implements it.

  Parameters:
    `csref` - IRef or Dict
  Throws:
    `java.io.IOException`

### createIndexColorModel

    public static java.awt.image.IndexColorModel createIndexColorModel(java.lang.Object csref,
                                                                       int bpc,
                                                                       PDFReader pdfr)
                                                                throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD